<?php
// START NEWSLATTER SECTION 
$wp_customize->add_section(
	'lz_newslatter',
	array(
		'title'   => __( 'Newsletter Section', 'Hexagon' ),
		'panel'   => 'lz_fitness_premium_home_panel',
	) 
);
//ENABLE/DISABLE Newslatter SECTION
$wp_customize->add_setting(
	'lz_newslatter_disable',
	array(
		'sanitize_callback' => 'lz_fitness_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new lz_fitness_Switch_Control(
		$wp_customize,
		'lz_newslatter_disable',
		array(
			'settings'      => 'lz_newslatter_disable',
			'section'       => 'lz_newslatter',
			'label'         => __( 'Disable Section', 'Hexagon' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Hexagon' ),
				'off' => __( 'No', 'Hexagon' )
			)   
		)
	)
);

backgroundManager($wp_customize, 'newsletter', 'lz_newslatter', $color='#6943c4');  

// for gradiant

$wp_customize->add_setting(
    'lz_newslatter_bg_color_one', array(
        'default'           => '#5127c3',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_newslatter_bg_color_one',array(
            'settings'      => 'lz_newslatter_bg_color_one',
            'section'       => 'lz_newslatter',
            'label'         => __( 'Background Gradient Color One ', 'Luzuk Premium' ),
        )
    )
);

$wp_customize->add_setting(
    'lz_newslatter_bg_color_two', array(
        'default'           => '#c166ef',
        'sanitize_callback' => 'sanitize_hex_color',
    )
);
$wp_customize->add_control(new WP_Customize_Color_Control($wp_customize,'lz_newslatter_bg_color_two',array(
            'settings'      => 'lz_newslatter_bg_color_two',
            'section'       => 'lz_newslatter',
            'label'         => __( 'Background Gradient Color Two ', 'Luzuk Premium' ),
        )
    )
); 
// to show & hide another button
$wp_customize->add_setting( 'newslettermainsecanimation_button_display' , array( 'default' => true, 'transport' => 'refresh', ) ); $wp_customize->add_control( 'newslettermainsecanimation_button_display', array( 'label' => 'Animation Display Setting', 'section' => 'lz_newslatter', 'settings' => 'newslettermainsecanimation_button_display', 'type' => 'radio', 'choices' => array( 'show' => 'Start animation', 'hide' => 'Stop Animation', ), ) ); 
// end to show & hide button

addColorPalatOption($wp_customize, 'lz_fitness_newslettersec_animationboxColor', 'lz_newslatter', 'Select animated box color','#e7ccf7');




// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_title_subtitle_heading', 'lz_newslatter', 'Section Title');

//add textarea
lzAddElement($wp_customize, 'lz_newslatter_title', 'lz_newslatter', 'text', $label="Title", 'lz_fitness_sanitize_text', 'Newsletter Signup');

addColorPalatOption($wp_customize, 'lz_newslatter_HeadingColor', 'lz_newslatter', 'Section Title color', '#ffffff');

// Adding the Label
lzCustomLable($wp_customize, 'lz_newslatter_npp_heading', 'lz_newslatter', 'Form shortcode');

//add shortcode textbox
lzAddElement($wp_customize, 'lz_newslatter_shortcode', 'lz_newslatter', 'text', $label="Add Shortcode here", 'lz_fitness_sanitize_text', '[form shortcode here]');

addColorPalatOption($wp_customize, 'lz_newslatter_NFormtextColor', 'lz_newslatter', 'Form text & Placeholder Text color', '#c5c3c3');
addColorPalatOption($wp_customize, 'lz_newslatter_NFormbgssclrColor', 'lz_newslatter', 'Text Field Background color', '#fffffff');
addColorPalatOption($wp_customize, 'lz_newslatter_NFormbgsshoverbgclrColor', 'lz_newslatter', 'Text Field Hover Background color', '#121212');

addColorPalatOption($wp_customize, 'lz_newslatter_NFormtextlabelColor', 'lz_newslatter', 'Form label text color', '#ffffff');

addColorPalatOption($wp_customize, 'lz_newslatter_buttonTColor', 'lz_newslatter', 'Button color', '#252525');

addColorPalatOption($wp_customize, 'lz_newslatter_buttonsubmithvrcColor', 'lz_newslatter', 'Button Hover color', '#6943c4');
